Package docking.tool

# Interface ToolConstants

All Superinterfaces:
  `DockingToolConstants`

public interface ToolConstants extends DockingToolConstants
Values used to define standard menu names and other miscellaneous constants

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ABOUT_HELP_TOPIC`
  Name of the help topic for "About" domain objects and Ghidra
  `static final String`
  `FILE_IMPORT_OPTIONS`
  File Import options name
  `static final String`
  `FRONT_END_HELP_TOPIC`
  Name of help topic for the front end (Ghidra Project Window)
  `static final String`
  `GRAPH_OPTIONS`
  Graph options name
  `static final String`
  `HELP_CONTENTS_MENU_GROUP`
  A group for actions that link directly to help content
  `static final String`
  `MENU_ANALYSIS`
  Used when placing an action in the "Analysis" menu of the tool
  `static final String`
  `MENU_EDIT`
  Used when placing an action in the "Edit" menu of the tool
  `static final String`
  `MENU_FILE`
  Used when placing an action in the "File" menu of the tool
  `static final String`
  `MENU_GRAPH`
  Used when placing an action in the "Graph" menu of the tool
  `static final String`
  `MENU_GROUP_NEXT_CODE_UNIT_NAV`
  Used for navigation-based action
  `static final String`
  `MENU_HELP`
  Used when placing an action in the "About" menu of the tool
  `static final String`
  `MENU_NAVIGATION`
  Used when placing a PluginAction in the "Navigation" menu of the tool
  `static final String`
  `MENU_NAVIGATION_GROUP_WINDOWS`
  Group name for actions to navigate between windows
  `static final String`
  `MENU_PROJECT`
  Used when placing an action in the "Project" menu of the tool
  `static final String`
  `MENU_SEARCH`
  Used when placing an action in the "Search" menu of the tool
  `static final String`
  `MENU_SELECTION`
  Used when placing an action in the "Selection" menu of the tool
  `static final String`
  `MENU_TOOLS`
  Used when placing an action in the "Tools" menu of the tool
  `static final String`
  `NO_ACTIVE_PROJECT`
  Node name used in the Data tree when a project is not open
  `static final String`
  `SHARED_OWNER`
  This is used when many actions wish to share a key binding.
  `static final String`
  `TOOL_HELP_TOPIC`
  Name of help topic for the Tool
  `static final String`
  `TOOL_OPTIONS`
  Tool options name
  `static final String`
  `TOOL_OPTIONS_MENU_GROUP`
  Constant for the options menu group for the Tool Options menu item
  `static final String`
  `TOOL_OWNER`
  This is used when an action has the tool as its owner
  `static final String`
  `TOOLBAR_GROUP_FOUR`
  Primary toolbar group number 4, starting from the left
  `static final String`
  `TOOLBAR_GROUP_ONE`
  Primary toolbar group number 1, starting from the left
  `static final String`
  `TOOLBAR_GROUP_THREE`
  Primary toolbar group number 3, starting from the left
  `static final String`
  `TOOLBAR_GROUP_TWO`
  Primary toolbar group number 2, starting from the left

  ### Fields inherited from interface docking.tool.util.DockingToolConstants

  `KEY_BINDINGS`

- ## Field Details

  - ### MENU_FILE

    static final String MENU_FILE
    Used when placing an action in the "File" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_EDIT

    static final String MENU_EDIT
    Used when placing an action in the "Edit" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_NAVIGATION

    static final String MENU_NAVIGATION
    Used when placing a PluginAction in the "Navigation" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_NAVIGATION_GROUP_WINDOWS

    static final String MENU_NAVIGATION_GROUP_WINDOWS
    Group name for actions to navigate between windows
    See Also:
      - Constant Field Values

  - ### MENU_SEARCH

    static final String MENU_SEARCH
    Used when placing an action in the "Search" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_SELECTION

    static final String MENU_SELECTION
    Used when placing an action in the "Selection" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_HELP

    static final String MENU_HELP
    Used when placing an action in the "About" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_ANALYSIS

    static final String MENU_ANALYSIS
    Used when placing an action in the "Analysis" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_GRAPH

    static final String MENU_GRAPH
    Used when placing an action in the "Graph" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_PROJECT

    static final String MENU_PROJECT
    Used when placing an action in the "Project" menu of the tool
    See Also:
      - Constant Field Values

  - ### MENU_TOOLS

    static final String MENU_TOOLS
    Used when placing an action in the "Tools" menu of the tool
    See Also:
      - Constant Field Values

  - ### HELP_CONTENTS_MENU_GROUP

    static final String HELP_CONTENTS_MENU_GROUP
    A group for actions that link directly to help content
    See Also:
      - Constant Field Values

  - ### TOOL_OPTIONS_MENU_GROUP

    static final String TOOL_OPTIONS_MENU_GROUP
    Constant for the options menu group for the Tool Options menu item
    See Also:
      - Constant Field Values

  - ### NO_ACTIVE_PROJECT

    static final String NO_ACTIVE_PROJECT
    Node name used in the Data tree when a project is not open
    See Also:
      - Constant Field Values

  - ### TOOL_OWNER

    static final String TOOL_OWNER
    This is used when an action has the tool as its owner
    See Also:
      - Constant Field Values

  - ### SHARED_OWNER

    static final String SHARED_OWNER
    This is used when many actions wish to share a key binding.
    See Also:
      - `KeyBindingType.SHARED`
      - Constant Field Values

  - ### TOOL_OPTIONS

    static final String TOOL_OPTIONS
    Tool options name
    See Also:
      - Constant Field Values

  - ### FILE_IMPORT_OPTIONS

    static final String FILE_IMPORT_OPTIONS
    File Import options name
    See Also:
      - Constant Field Values

  - ### GRAPH_OPTIONS

    static final String GRAPH_OPTIONS
    Graph options name
    See Also:
      - Constant Field Values

  - ### ABOUT_HELP_TOPIC

    static final String ABOUT_HELP_TOPIC
    Name of the help topic for "About" domain objects and Ghidra
    See Also:
      - Constant Field Values

  - ### FRONT_END_HELP_TOPIC

    static final String FRONT_END_HELP_TOPIC
    Name of help topic for the front end (Ghidra Project Window)
    See Also:
      - Constant Field Values

  - ### TOOL_HELP_TOPIC

    static final String TOOL_HELP_TOPIC
    Name of help topic for the Tool
    See Also:
      - Constant Field Values

  - ### MENU_GROUP_NEXT_CODE_UNIT_NAV

    static final String MENU_GROUP_NEXT_CODE_UNIT_NAV
    Used for navigation-based action
    See Also:
      - Constant Field Values

  - ### TOOLBAR_GROUP_ONE

    static final String TOOLBAR_GROUP_ONE
    Primary toolbar group number 1, starting from the left
    See Also:
      - Constant Field Values

  - ### TOOLBAR_GROUP_TWO

    static final String TOOLBAR_GROUP_TWO
    Primary toolbar group number 2, starting from the left
    See Also:
      - Constant Field Values

  - ### TOOLBAR_GROUP_THREE

    static final String TOOLBAR_GROUP_THREE
    Primary toolbar group number 3, starting from the left
    See Also:
      - Constant Field Values

  - ### TOOLBAR_GROUP_FOUR

    static final String TOOLBAR_GROUP_FOUR
    Primary toolbar group number 4, starting from the left
    See Also:
      - Constant Field Values